debian.org / О Debian Где взять Debian Поддержка Уголок разработчика Новости Wiki

Автор Тема: Установка свежих версий Libreoffice и Mozilla из репозитория  (Прочитано 43080 раз)

0 Пользователей и 2 Гостей просматривают эту тему.

Оффлайн Igorokmen

  • Пользователь
  • *
  • Сообщений: 32
  • Debian7
Понимаю всех, кто парится с LibreOffice. Кстати сейчас доступна версия 4.2. Установил без всяких проблем.
[ot]Что могу сказать, что пока продукты вроде OpenOffice и LibreOffice не станут делать упор на совместимость с MS Office, труды разработчиков будут напрасными.
Нет, я вовсе не говорю чтоб они копировали MS Office и смотрели только на него. Я говорю только о том, что эти программы на сегодняшний день критически нуждаются в доработке совместимости с MS Office.
И я могу похвалить разработчиков LibreOffice в том, что они хорошо поработали с Calc. Очень хорошая совместимость. Что открываю в Exel, что открываю в Calc результат очень хороший.
Но что касается Writer, то это всё ещё пока что слабо. Не рекомендую работать в нём с курсовыми, дипломом и т.д.
Иначе вы точно пожалеете об этом.
На сегодняшний день есть два выхода:
1. Не пробовал! Поставить WPS Office (он же Kingsoft Office). Минус - вроде он платный и нет русского. Но с русификацией работают и уже что-то могут предложить. Читал, что совместимость с MS Office намного лучше. Продукт китайский.
2. Поставить Playonlinux и установить любой MS Office, включая 2010, предварительно его купив!
Лично я пока не советую ставить 2010 (хоть он и будет работать) и обойтись купить 2007.

P.S. Смешно читать, когда сторонники LibreOffice или OpenOffice выгораживают эти продукты. [/ot]
« Последнее редактирование: 27 Февраль 2014, 07:56:56 от Malaheenee »
Почти ничего не имею против WINDOWS.
 

Оффлайн ogost

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 2864
  • Linux Registered User #547151
[ot]
Playonlinux
под wine и crossover 2007 оффис нормально работает.
а пилить совместимость не горят желанием ибо А - doc/docx да и прочие типа "open office xml" от мс естественно проприетарный формат,  Б - надеются odf завоюет мир. [/ot]

Оффлайн ua6atg

  • Пользователь
  • *
  • Сообщений: 39
    • Мой блог.
Обрадовался я сегодня.  Наконец систему наладил . Все так вылизал.   (Debian GNU/Linux 7.5.0 _Wheezy_ - Official amd64 CD Binary-1 2014 )
Ну думаю, жизнь удалась.  Черт меня дернул ставить отсюда: http://ru.libreoffice.org/download

Вообщем до установки стоял gnome , который благополучно рухнул и вместо него запустилась установленная ранее xfce.   Ну а libreoffice, но что libreoffice, так и не установился .   Я конечно могу и на xfce сидеть, благо на работе она тоже стоит, но мучает вопрос: как все таки установить эту злосчастную libreoffice и самое главное: где почитать как делать бекапы системы в подобных случаях? Оно конечно не смертельно (пока  ;D) однако было неприятно.
 

Оффлайн ogost

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 2864
  • Linux Registered User #547151
ua6atg, мне версии из репов хватает. правда и большими объемами документов не пользуюсь.
бэкапы всяк делает по всякому. кто-то тупо копирует корень, кто-то снимает образы диска... в общем, воть: https://wiki.debian.org/BackupAndRecovery

Оффлайн ua6atg

  • Пользователь
  • *
  • Сообщений: 39
    • Мой блог.
в общем, воть: https://wiki.debian.org/BackupAndRecovery
С
Много там английских букв, не совсем понятно, на чем остановится .  А  есть ли способ, типа делающий бэкап на некий загрузочный диск, потом с этого диска загружаешься и все исправляется на прежнее?
 

Оффлайн lumberjack

  • Местный житель
  • ***
  • Сообщений: 230
А  есть ли способ, типа делающий бэкап на некий загрузочный диск, потом с этого диска загружаешься и все исправляется на прежнее?
есть. к примеру есть btrfs
 

Оффлайн Aalexeey

  • Местный житель
  • ***
  • Сообщений: 418
  • ASUS_Q400A, Winmate_I771 GTK2/Qt4_MATE
А  есть ли способ, типа делающий бэкап на некий загрузочный диск, потом с этого диска загружаешься и все исправляется на прежнее?
есть. к примеру есть Clonezilla https://debianforum.ru/index.php?topic=6879
https://debianforum.ru/index.php?topic=6879 100% защиты от "Ааааа у меня всё поломалось"
 

Оффлайн chatrapati

  • Debian GNU/Linux Stable + Testing
  • Пользователь
  • *
  • Сообщений: 19
  • Jabber: chatrapati@jabber.ru
За последний год Libreoffice шагнул очень сильно:
1)Очень заметно улучшена поддержка формата EMF, который является векторным форматом для windows, что является причиной его популярности
2)Улучшена поддержка SVG - раньше иногда возникали проблемы со стрелочками, начерченными в Inkscape, иногда текст пропадал в картинках этого формата
3)Много новых функций рисования
4)Доработаны многие функции, которых не хватало... мелочи, но кому-то они важны.
 
[ot]Что могу сказать, что пока продукты вроде OpenOffice и LibreOffice не станут делать упор на совместимость с MS Office, труды разработчиков будут напрасными.
P.S. Смешно читать, когда сторонники LibreOffice или OpenOffice выгораживают эти продукты. [/ot]

Совместимость с прориетарным форматом... много сил на это пускать - впустую тратить время. К тому же они и так стараются.
А насчёт выгораживать: а чего выгораживать - продукт на общественном достоянии, возьми да улучши, если знаешь как, а не знаешь - так и не пользуйся и молчи... Не к Вам обращено, а в целом. Обидно, что люди стараются десятилетиями, а им потом говорят "да вы го*** сделали"  - либо сделай лучше, либо молчи. Это лично моё мнение.
 
Пользователи, которые поблагодарили этот пост: Grey_rnd

Оффлайн Grey_rnd

  • Местный житель
  • ***
  • Сообщений: 109
  • Ростов-на-Дону
  • Jabber: grey_rnd@xmpp.ru
Парни подскажите как правильно обновить libreofficr из backports?
В терминале набрал
aptitude -t jessie-backports install libreofficeи получил,
Spoiler: ShowHide
root@AsusX59SL:/home/sergej# aptitude -t jessie-backports install libreoffice
Следующие НОВЫЕ пакеты будут установлены:       
  ant{a} ant-optional{a} fonts-crosextra-caladea fonts-crosextra-carlito
  fonts-linuxlibertine gcj-4.9-jre-lib{a} libapache-poi-java{a}
  libapache-pom-java{a} libbase-java{a} libbcmail-java{a} libbcpkix-java{a}
  libbcprov-java{a} libboost-filesystem1.55.0{a} libbsh-java{a}
  libcommons-codec-java{a} libcommons-collections3-java{a}
  libcommons-logging-java{a} libcommons-parent-java{a} libdom4j-java{a}
  libehcache-java{a} libflute-java{a} libfonts-java{a} libformula-java{a}
  libgcj-bc{a} libgcj-common{a} libgcj15{a} libisorelax-java{a}
  libitext-java{a} libjaxen-java{a} libjcommon-java{a} libjdom1-java{a}
  libjsr107cache-java{a} liblayout-java{a} libloader-java{a}
  liblog4j1.2-java{a} libmail-java{a} libmsv-java{a} libpagemaker-0.0-0{a}
  libpentaho-reporting-flow-engine-java{a} libpixie-java{a} libpq5{a}
  librelaxng-datatype-java{a} libreoffice-gtk3{a} libreoffice-librelogo
  libreoffice-nlpsolver libreoffice-ogltrans libreoffice-pdfimport
  libreoffice-report-builder libreoffice-script-provider-bsh
  libreoffice-script-provider-js libreoffice-script-provider-python{a}
  libreoffice-sdbc-postgresql libreoffice-wiki-publisher
  librepository-java{a} libsac-java{a} libsac-java-gcj{a}
  libserializer-java{a} libservlet3.0-java{a} libxerces2-java{a}
  libxml-commons-external-java{a} libxml-commons-resolver1.1-java{a}
  libxml-java{a} libxmlbeans-java{a} libxom-java{a} libxpp2-java{a}
  libxpp3-java{a}
Следующие пакеты будут УДАЛЕНЫ:
  libcmis-0.4-4{u} libgltf-0.0-0{u} liborcus-0.8-0{u} libreoffice-gtk{u}
  libwps-0.3-3{u}
Следующие пакеты будут обновлены:
  libreoffice libreoffice-base libreoffice-base-core
  libreoffice-base-drivers libreoffice-calc libreoffice-common
  libreoffice-core libreoffice-draw libreoffice-evolution libreoffice-gnome
  libreoffice-impress libreoffice-java-common libreoffice-l10n-ru
  libreoffice-report-builder-bin libreoffice-style-galaxy
  libreoffice-style-tango libreoffice-writer uno-libs3
18 пакетов обновлено, 66 установлено новых, 5 пакетов отмечено для удаления, и 112 пакетов не обновлено.
Необходимо получить 134 MB архивов. После распаковки 125 MB будет занято.
Следующие пакеты имеют неудовлетворённые зависимости:
 ure : Зависит: uno-libs3 (= 4.3.3-2+deb8u5) но устанавливается 5.2.3~rc1-4~bpo8+1.
 libreoffice-math : Зависит: libreoffice-core (= 1:4.3.3-2+deb8u5) но устанавливается 1:5.2.3~rc1-4~bpo8+1.
 python3-uno : Зависит: libreoffice-core (= 1:4.3.3-2+deb8u5) но устанавливается 1:5.2.3~rc1-4~bpo8+1.
Следующие действия разрешат зависимости:

      Удалить следующие пакеты:                                                                               
1)      gnome                                                                                                 
2)      libreoffice                                                                                           
3)      libreoffice-avmedia-backend-gstreamer                                                                 
4)      libreoffice-base                                                                                       
5)      libreoffice-base-core                                                                                 
6)      libreoffice-base-drivers                                                                               
7)      libreoffice-calc                                                                                       
8)      libreoffice-common                                                                                     
9)      libreoffice-core                                                                                       
10)     libreoffice-draw                                                                                       
11)     libreoffice-evolution                                                                                 
12)     libreoffice-gnome                                                                                     
13)     libreoffice-help-en-us                                                                                 
14)     libreoffice-help-ru                                                                                   
15)     libreoffice-impress                                                                                   
16)     libreoffice-java-common                                                                               
17)     libreoffice-l10n-ru                                                                                   
18)     libreoffice-math                                                                                       
19)     libreoffice-report-builder-bin                                                                         
20)     libreoffice-sdbc-firebird                                                                             
21)     libreoffice-sdbc-hsqldb                                                                               
22)     libreoffice-style-galaxy                                                                               
23)     libreoffice-style-tango                                                                               
24)     libreoffice-writer                                                                                     
25)     mythes-en-us                                                                                           
26)     mythes-ru                                                                                             
27)     python3-uno                                                                                           
28)     unoconv                                                                                               
29)     ure                                                                                                   

      Сохранить для следующих пакетов их текущие версии:                                                       
30)     libreoffice-gtk3 [Не установлен]                                                                       
31)     libreoffice-librelogo [Не установлен]                                                                 
32)     libreoffice-nlpsolver [Не установлен]                                                                 
33)     libreoffice-ogltrans [Не установлен]                                                                   
34)     libreoffice-pdfimport [Не установлен]                                                                 
35)     libreoffice-report-builder [Не установлен]                                                             
36)     libreoffice-script-provider-bsh [Не установлен]                                                       
37)     libreoffice-script-provider-js [Не установлен]                                                         
38)     libreoffice-script-provider-python [Не установлен]                                                     
39)     libreoffice-sdbc-postgresql [Не установлен]                                                           
40)     libreoffice-wiki-publisher [Не установлен]                                                             

      Оставить следующие зависимости неразрешёнными:                                                           
41)     libreoffice-help-en-us рекомендует libreoffice-core (> 1:4.3.3) | language-support-translations-en     
42)     libreoffice-help-ru рекомендует libreoffice-core (> 1:4.3.3) | language-support-translations-ru       
43)     gnome-documents рекомендует unoconv                                                                   
44)     hyphen-en-us рекомендует libreoffice-writer | openoffice.org-writer                                   
45)     task-gnome-desktop рекомендует gnome                                                                   
46)     task-gnome-desktop рекомендует libreoffice-gnome                                                       
47)     task-gnome-desktop рекомендует libreoffice-evolution                                                   
48)     task-gnome-desktop рекомендует libreoffice                                                             
49)     task-gnome-desktop рекомендует libreoffice-help-en-us                                                 
50)     task-gnome-desktop рекомендует mythes-en-us                                                           
51)     task-russian-desktop рекомендует libreoffice-l10n-ru                                                   
52)     task-russian-desktop рекомендует libreoffice-help-ru                                                   
53)     task-russian-desktop рекомендует mythes-ru                                                             
54)     libreoffice-base-drivers рекомендует libreoffice-sdbc-firebird                                         
55)     libreoffice-base-drivers рекомендует libreoffice-sdbc-hsqldb                                           
56)     libreoffice-common рекомендует python3-uno (>= 4.4.0~beta2)                                           
57)     libreoffice-impress рекомендует libreoffice-avmedia-backend-gstreamer | libreoffice-avmedia-backend-vlc
58)     libreoffice-writer рекомендует libreoffice-math                                                       


Принять данное решение? [Y/n/q/?]

Смутило, что к удалению планируется gnome?
Или установить как советует товарисч тут www.jomuoru.net/2015/09/libreoffice-5-in-debian-8-jessie/
Asus X59SL
 

Оффлайн VALENTINUS

  • Новичок форума
  • Сообщений: 3
Парни подскажите как правильно обновить libreofficr из backports?
В терминале набрал
Код: [Выделить]
aptitude -t jessie-backports install libreoffice
Попробуйте так:
apt-get install -t jessie-backports libreoffice
 

Оффлайн Deportivo

  • Пользователь
  • *
  • Сообщений: 32
  • Debian 9 KDE Lenovo g5030
Нет, я вовсе не говорю чтоб они копировали MS Office и смотрели только на него. Я говорю только о том, что эти программы на сегодняшний день критически нуждаются в доработке совместимости с MS Office.
Я тоже возмущен - почему мотор от BMV никак не ставиться в Audi? Это недопустимо. Кстати, поддержка открытого формата odf у майков ничем не лучше, чем поддержка тоже уже открытого (не прошло и 10 лет), но все еще запутанного до крика, формата мелких у Либры.
Debian 9 Lenovo G5030
 

Оффлайн CanadianBeaver

  • Пользователь
  • *
  • Сообщений: 21
Нет, я вовсе не говорю чтоб они копировали MS Office и смотрели только на него. Я говорю только о том, что эти программы на сегодняшний день критически нуждаются в доработке совместимости с MS Office.
Я тоже возмущен - почему мотор от BMV никак не ставиться в Audi? Это недопустимо. Кстати, поддержка открытого формата odf у майков ничем не лучше, чем поддержка тоже уже открытого (не прошло и 10 лет), но все еще запутанного до крика, формата мелких у Либры.

Запутанного до крика? Возможно это ваше личное мнение.
 

Оффлайн Deportivo

  • Пользователь
  • *
  • Сообщений: 32
  • Debian 9 KDE Lenovo g5030
Перевод бинарных файлов в XML еще не делает стандартом. Конечно имея бабло можно любую хрень продавить. Чем успешно и неоднократно мелкие занимаются. Но от этого их недостандарт не стал доступным для воспроизведения на стороннем продукте. Впрочем оно и на их собственном не воспроизводиться в полном объеме до сих пор.
Debian 9 Lenovo G5030
 

Русскоязычное сообщество Debian GNU/Linux



Теги:
 

[РЕШЕНО] Установка пакетов из списка

Автор SuperGeek256

Ответов: 2
Просмотров: 908
Последний ответ 14 Июль 2014, 15:37:58
от SuperGeek256
Установка debian. Модули ядра не найдены.

Автор valikst

Ответов: 3
Просмотров: 2085
Последний ответ 20 Март 2013, 09:06:06
от fry
Установка ограниченных прав на нового пользователя

Автор madwayz1337

Ответов: 3
Просмотров: 575
Последний ответ 18 Сентябрь 2016, 18:08:19
от alsoijw
Установка пакетов из testing

Автор Salder

Ответов: 6
Просмотров: 1764
Последний ответ 23 Январь 2017, 04:13:29
от ogost
Установка MySQL Workbench

Автор Fire

Ответов: 1
Просмотров: 1851
Последний ответ 23 Март 2011, 00:13:17
от Ghostdmn